import { Component, OnInit, ViewChild, ElementRef, Input } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'dealer-menu',
  templateUrl: './dealer-menu.component.html',
  styleUrls: ['./dealer-menu.component.css']
})
export class DealerMenuComponent implements OnInit {
  public menus: Array<any> = [];
  @ViewChild("frame", { static: false }) frame: ElementRef;


  constructor(
    private router: Router


  ) { }


  @Input() REPORT_NAME: string = '';


  ngOnInit(): void {

  }

  public Goto(url) {
    console.log(url);
    this.router.navigate([url]);
  }


}
