import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Globals } from 'src/app/core/global';
import { HttpService } from 'src/app/core/http.service';
import { AuthDecode } from 'src/app/core/auth-decode.service';



@Component({
  selector: 'header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.css']
})
export class HeaderComponent implements OnInit {
  public menus: Array<any> = [];
  public userName: string;

  constructor(
    private router: Router,
    private global: Globals,
    private http: HttpService,
    private auth: AuthDecode


  ) { }

  private test : any

  ngOnInit(): void {
    // console.log(this.auth.getDetail())

    this.userName = 'Admin';
    this.getSystemMenuList();
  }

  getSystemMenuList() {
    //this.http.get("System", "GetSystemMenu")
    //  .subscribe(result => {
    //    this.menus = result;
    //    // console.log('this.menus', this.menus)
    //  })
  }

  menuDetailFilter(headerId: number) {
    return this.menus.filter((v) => v.HEADER_ID === headerId);
  }

  menuHeaderFilter() {
    return this.menus.filter((v, i, s) => this.global.findUnique(v, i, s, "HEADER_ID"));
  }

  logOut() {
    localStorage.clear();
    this.router.navigate(['/'])
  }

  UserInfo() {}

}
