import { Component, OnInit } from '@angular/core';
import { HttpService } from './../../../core/http.service';

@Component({
  selector: 'menu-demo',
  templateUrl: './menu-demo.component.html',
  styleUrls: ['./menu-demo.component.css']
})
export class MenuDemoComponent implements OnInit {
  constructor(
    private http : HttpService
  ) { }
  public data: any;
  public data2: ChartData[]
  public data3: ChartData[]
  public data4: ChartData[]
  public serviceName : string = 'c'
  public serviceName2 : string = 'c'

  public donut: any[] = [
    { RESULT: "Pass", COUNT_OUTLET: 68 },
    { RESULT: "Fail", COUNT_OUTLET: 206 }
  ]
  public donut2: any[] = [
    { RESULT: "Pass", COUNT_OUTLET: 199 },
    { RESULT: "Fail", COUNT_OUTLET: 22 }
  ]
  public donut3: any[] = [
    { RESULT: "Pass", COUNT_OUTLET: 180 },
    { RESULT: "Fail", COUNT_OUTLET: 30 }
  ]
  public donut4: any[] = [
    { RESULT: "Pass", COUNT_OUTLET: 220 },
    { RESULT: "Fail", COUNT_OUTLET: 1 }
  ]

  public donutData = this.donut;
  private StackData: any = [];
  private DualChartData: any = [];
  public legend : any = []
  ngOnInit(): void {

    
    this.StackData = [{
      'catagory': 'Apr',
      'PASS': 150,
      'FAIL': 50,
      'PERCENT': 75,
      'total': 200
    }, {
      'catagory': 'May',
      'PASS': 180,
      'FAIL': 20,
      'PERCENT': 90,
      'total': 200
    },
    {
      'catagory': 'Jun',
      'PASS': 189,
      'FAIL': 11,
      'PERCENT': 94,
      'total': 200
    }, {
      'catagory': 'Jul',
      'PASS': 182,
      'FAIL': 18,
      'PERCENT': 91,
      'total': 200
    }, {
      'catagory': 'Aug',
      'PASS': 167,
      'FAIL': 33,
      'PERCENT': 83,
      'total': 200
    }, {
      'catagory': 'Sep',
      'PASS': 178,
      'FAIL': 22,
      'PERCENT': 89,
      'total': 200
    }, {
      'catagory': 'Oct',
      'PASS': 160,
      'FAIL': 40,
      'PERCENT': 80,
      'total': 200
    },
    {
      'catagory': 'Nov',
      'PASS': 169,
      'FAIL': 31,
      'PERCENT': 84,
      'total': 200
    }, {
      'catagory': 'Dec',
      'PASS': 175,
      'FAIL': 25,
      'PERCENT': 87,
      'total': 200
    }, {
      'catagory': 'Jan',
      'PASS': 195,
      'FAIL': 5,
      'PERCENT': 97,
      'total': 200
    }, {
      'catagory': 'Feb',
      'PASS': 166,
      'FAIL': 34,
      'PERCENT': 83,
      'total': 200
       },
       {
         'catagory': 'Mar',
         'PASS': 183,
         'FAIL': 17,
         'PERCENT': 91,
         'total': 200
       }
    ];

    
    this.DualChartData = [{
      'catagory': 'Apr',
      'Value1': 150,
      'Value2': 50
      
    }, {
      'catagory': 'May',
      'Value1': 180,
      'Value2': 20,
      'PERCENT': 90,
      'total': 200
    },
    {
      'catagory': 'Jun',
      'Value1': 189,
      'Value2': 11
    }, {
      'catagory': 'Jul',
      'Value1': 182,
      'Value2': 18
    }, {
      'catagory': 'Aug',
      'Value1': 167,
      'Value2': 33
    }, {
      'catagory': 'Sep',
      'Value1': 178,
      'Value2': 22
    }, {
      'catagory': 'Oct',
      'Value1': 160,
      'Value2': 40
    },
    {
      'catagory': 'Nov',
      'Value1': 169,
      'Value2': 31
    }, {
      'catagory': 'Dec',
      'Value1': 175,
      'Value2': 25
    }, {
      'catagory': 'Jan',
      'Value1': 195,
      'Value2': 5
    }, {
      'catagory': 'Feb',
      'Value1': 166,
      'Value2': 34
       },
       {
         'catagory': 'Mar',
         'Value1': 183,
         'Value2': 17
       }
    ];

       
    this.data2 = [{
      Values: [{ catagory: 'Apr', Value: 956, Value2: 953, Value3: 0},
                { catagory: 'May', Value: 965, Value2: 960, Value3: 0},
                { catagory: 'Jun', Value: 962, Value2: 961, Value3: 0}],
      Legend: [{ legend: 'Local Survey', color: '"#376092' },
              { legend: 'Quick VOC', color: '#93cddd' },]
    }]

  this.legend = [{ legend: "PASSsssss", color: '#99cc00' }, { legend: "FAILlllll", color: '#c00000'}]
    //this.getdata()

    
  }


  getdata() {
    this.http.get("System", "GetSSI_CSI_Nationwide","19")
      .subscribe(result => {
        this.data = result;
      })
  }

  test(){
    this.serviceName = this.serviceName2;
  }
}

export interface ChartData {
  Values: Array<valueModel>;
  Legend : Array<legendModel>
}


export interface valueModel {
  catagory: string;
  Value: number;
  Value2: number;
  Value3: number;


}

export interface legendModel {
  legend: string;
  color: string;

}

