import { Component, OnInit } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';

@Component({
  selector: 'ssi-target',
  templateUrl: './SSI-TARGET.component.html',
  styleUrls: ['./SSI-TARGET.component.css']
})
export class SsiTargetComponent implements OnInit {
  constructor(
    private http: HttpService
  ) { }
  private data: any;
  private DATA_MONTH: string;
  public config: any;
  private dataChange: boolean = false

  ngOnInit(): void {

    this.config = {
      minDate: undefined,
      maxDate: undefined,
      ShowTwoPicker: false
    }

    this.DATA_MONTH = '201907'
    this.getdata(false)
  }

  getdata(flag: boolean) {

    this.http.get("System", "GetVdmSsiTarget", this.DATA_MONTH)
      .subscribe(result => {
        this.data = result;
      })
  }

  DateChange(even) {
    this.DATA_MONTH = even
    this.getdata(true);
    console.log(even)
  }
}


