// import { Component, OnInit } from '@angular/core';
// import { HttpService } from 'src/app/core/http.service';
// import { MatDialog } from '@angular/material/dialog';
// import { CustomDialogComponent } from 'src/app/components/shared/dialog/dialog.component';
// import { json } from 'd3';

// @Component({
//   selector: 'performance',
//   templateUrl: './performance.component.html',
//   styleUrls: ['./performance.component.css']
// })
// export class PerformanceComponent implements OnInit {
//   constructor(
//     private http: HttpService,
//     private dialog: MatDialog
//   ) { }

//   private OUTLET_ID: string;
//   private FY: any;

//   public dataDealer: any;
//   public dataSSI: any = [];
//   public dataCSI: any = [];
//   public dataArea: any = [];
//   public dataComplain: any = [];
//   public OutletList: any = [];
//   public chartname: any = [];
//   public dataComplainSSI: any = [];
//   public dataComplainCSI: any = [];
//   public dataBelowSSI: any = [];
//   public dataBelowCSI: any = [];
//   public selectedName: any;

//   public data1Total: any = {};
//   public data2Total: any = {};



//   private ShowTable: boolean;

//   private TypeData: string;
//   private TypeChart: string;
//   private showLine: boolean;
//   private Header: string;
//   private id: string;
//   private SERVICE_NAME: string;
//   private targerSSI: string;
//   private Data_DetailSSI: any
//   private Header_DetailSSI: any
//   private targerCSI: string;
//   private Data_DetailCSI: any
//   private Header_DetailCSI: any
//   private DATA_MONTH: string;
//   public success: boolean = false;
//   private dataLegend: any;

//   public menuSelect: string = 'Overall';
//   public config: any;
//   private showTableDialog: boolean = false
//   private showChartDialog: boolean = false

//   private forloop = [1, 2, 3, 4, 5, 6, 7, 8, 9]
//   public showContent: boolean = false;
//   public showContent2: boolean = false;


//   private FiledList =
//     [
//       { Title: 'No. of outlet - Total', Field: 'TOTAL' },
//       { Title: 'No. of outlet - Passed', Field: 'OUTLET_PASS' },
//       { Title: 'No. of outlet - Not passed', Field: 'OUTLET_FAIL' },
//       { Title: '%Outlet - Passed', Field: 'PERCENT_PASS' },
//       { Title: '%Outlet - Not passed', Field: 'PERCENT_FAIL' },
//       { Title: 'Summary by FY', Field: 'VIEW_CHART' },
//     ]


//   ngOnInit(): void {
//     this.config = {
//       minDate: '201905',
//       maxDate: '201905',
//       ShowTwoPicker: false
//     }

//     this.dataLegend = [{

//       Legend: [{ legend: 'SSI', color: '#376092' },
//       { legend: 'CSI', color: '#93cddd' }]
//     }]
//     setTimeout(() => this.showContent = true, 1000, this.showContent2 = true, 1000);

//     this.dataDealer = {};
//     this.dataSSI = [];
//     this.dataCSI = [];
//     this.dataComplain = [];
//     this.data1Total = {};
//     this.data2Total = {};


//     this.OUTLET_ID = "9522801";
   
//     this.FY = '19'; //this.GetCurrentFY();
//     this.DATA_MONTH = '201904';//this.GetFormateDate()
//     this.GetData();

//   }

//   public MenuClick(activeMenu) {
//     this.menuSelect = activeMenu;
//   }

//   public OutletChange(pOutlet) {

//     this.OUTLET_ID = pOutlet.OUTLET_ID
//     this.http.get('System', 'GetDealerPerformance', this.FY, pOutlet.OUTLET_ID)
//       .subscribe(result => {
//         this.dataDealer = result.Table[0];
//         this.dataSSI = result.Table1;
//         this.dataCSI = result.Table2;
//         this.dataComplain = result.Table4;
//         this.selectedName = this.dataComplain.find(x => x.DATA_MONTH == this.GetFormateDate())
//         this.SummaryDataList();
//         this.menuSelect = 'Overall';
//       })
//   }

//   private GetCurrentFY() {
//     let _date = new Date();
//     let year = _date.getFullYear()
//     let month = _date.getMonth() + 1;
//     if (month <= 3) {
//       year = year - 1;
//     }
//     return year - 2000;
//   }

//   private GetFormateDate() {
//     let _date = new Date();
//     let year = _date.getFullYear()
//     let month = _date.getMonth() + 1;
//     let newMonth = month.toString().length < 2 ? 0 + '' + month : month
//     return year + '' + newMonth;
//   }

//   private GetData() {

//     this.http.get('System', 'GetDealerPerformance', this.FY, this.OUTLET_ID)
//       .subscribe(result => {
//         this.dataDealer = result.Table[0];
//         this.dataSSI = result.Table1;
//         this.dataCSI = result.Table2;
//         this.dataArea = result.Table3[0];
//         this.dataComplain = result.Table4;
//         this.selectedName = this.dataComplain.find(x => x.DATA_MONTH == this.GetFormateDate())
//         this.SummaryDataList();
//       })

//     this.http.get('System', 'GetOutletList')
//       .subscribe(result => {
//         this.OutletList = result.Table;

//       })

//   }

//   private SummaryDataList() {

//     this.data1Total.RS_UNIT = 0;
//     this.data1Total.FLEET_UNIT = 0;
//     this.data1Total.DEMO_CAR = 0;
//     this.data1Total.ALL_UNIT = 0;
//     this.data1Total.CONFIRM_UNIT = 0;
//     this.data1Total.PAYMENT_AMOUNT = 0;

//     this.dataSSI.forEach((value) => {
//       //console.log(value.RS_UNIT);
//       this.data1Total.RS_UNIT = this.data1Total.RS_UNIT + value.RS_UNIT;
//       this.data1Total.FLEET_UNIT = this.data1Total.FLEET_UNIT + value.FLEET_UNIT;
//       this.data1Total.ALL_UNIT = this.data1Total.ALL_UNIT + value.ALL_UNIT;
//       this.data1Total.CONFIRM_UNIT = this.data1Total.CONFIRM_UNIT + value.CONFIRM_UNIT;
//       this.data1Total.PAYMENT_AMOUNT = this.data1Total.PAYMENT_AMOUNT + value.PAYMENT_AMOUNT;

//     });

//     this.data2Total.RO_UNIT = 0;
//     this.data2Total.PAYMENT_AMOUNT = 0;
//     this.dataCSI.forEach((value) => {
//       //console.log(value.RS_UNIT);
//       this.data2Total.RO_UNIT = this.data2Total.RO_UNIT + value.RO_UNIT;
//       this.data2Total.PAYMENT_AMOUNT = this.data2Total.PAYMENT_AMOUNT + value.PAYMENT_AMOUNT;
//     });

//   }

//   private animal: any
//   openDialog(Data, Header, target, ShowTable, TypeData, TypeChart, showLine, HeaderChart, SERVICE_NAME): void {
//     if (this.showTableDialog) {
//       const dialogRef = this.dialog.open(CustomDialogComponent, {
//         width: '1024px',
//         maxHeight: '620px',
//         data: {
//           config: { template: 'Table', Detail: Data, Header: Header, Target: target }
//         }
//       });
//       dialogRef.afterClosed().subscribe(result => {
//         this.showTableDialog = false
//         this.showChartDialog = false
//         this.animal = result;
//       });
//     }
//     if (this.showChartDialog) {
//       const dialogRef = this.dialog.open(CustomDialogComponent, {
//         width: '1000px',
//         //height: '600px',
//         data: {
//           config: {
//             template: 'Chart',
//             Detail: Data,
//             Header: Header,
//             Target: target,
//             ShowTable: ShowTable,
//             TypeData: TypeData,
//             TypeChart: TypeChart,
//             showLine: showLine,
//             HeaderChart: HeaderChart,
//             SERVICE_NAME: SERVICE_NAME,
//             FY: this.DATA_MONTH.substring(2, 4)
//           }
//         }
//       });
//       dialogRef.afterClosed().subscribe(result => {
//         this.showTableDialog = false
//         this.showChartDialog = false
//       });
//     }
//   }


//   showDetailSSI(data, FIELD) {

//     if (FIELD != 'VIEW_CHART') {
//       this.http.get('System', 'Get_DSB_SSI_Qualify_Monthly_Detail', data.NAME, FIELD, this.DATA_MONTH)
//         .subscribe(result => {
//           this.Data_DetailSSI = result.Table
//           this.Header_DetailSSI = result.Table1
//           this.targerSSI = result.Table[0].Target_Score
//           this.showTableDialog = true
//           this.openDialog(this.Data_DetailSSI,
//             this.Header_DetailSSI,
//             this.targerSSI,
//             this.ShowTable,
//             this.TypeData,
//             this.TypeChart,
//             this.showLine,
//             this.Header,
//             this.SERVICE_NAME)
//         })
//     } else {
//       this.ShowTable = data.SHOW_TABLE
//       this.TypeData = data.TypeData
//       this.TypeChart = data.TypeChart
//       this.showLine = data.SHOW_LINE
//       this.Header = data.Header
//       this.SERVICE_NAME = data.SERVICE_NAME
//       this.showChartDialog = true
//       this.openDialog(this.Data_DetailSSI,
//         this.Header_DetailSSI,
//         this.targerSSI,
//         this.ShowTable,
//         this.TypeData,
//         this.TypeChart,
//         this.showLine,
//         this.Header,
//         this.SERVICE_NAME)
//     }
//   }

//   showDetailCSI(data, FIELD) {
//     if (FIELD != 'VIEW_CHART') {
//       this.http.get('System', 'Get_DSB_CSI_Qualify_Monthly_Detail', data.NAME, FIELD, this.DATA_MONTH)
//         .subscribe(result => {

//           this.Data_DetailCSI = result.Table
//           this.Header_DetailCSI = result.Table1
//           this.targerCSI = result.Table[0].Target_Score
//           this.showTableDialog = true
//           this.openDialog(this.Data_DetailCSI,
//             this.Header_DetailCSI,
//             this.targerCSI,
//             this.ShowTable,
//             this.TypeData,
//             this.TypeChart,
//             this.showLine,
//             this.Header,
//             this.SERVICE_NAME)

//         })
//     } else {
//       this.ShowTable = data.SHOW_TABLE
//       this.TypeData = data.TypeData
//       this.TypeChart = data.TypeChart
//       this.showLine = data.SHOW_LINE
//       this.Header = data.Header
//       this.SERVICE_NAME = data.SERVICE_NAME
//       this.showChartDialog = true

//       this.openDialog(this.Data_DetailSSI,
//         this.Header_DetailSSI,
//         this.targerSSI,

//         this.ShowTable,
//         this.TypeData,
//         this.TypeChart,
//         this.showLine,
//         this.Header,
//         this.SERVICE_NAME)

//     }

//   }

//   CreateHeader(data) {
//     let newData = [];
//     for (var key in data) {
//       newData.push(data[key])
//     }
//     return newData
//   }

//   RandomText() {

//     let r = Math.random().toString(36).substring(7);
//     return r
//   }

//   DateChange(date) {
//     this.DATA_MONTH = date
//     this.GetData()
//     console.log('date', date)
//   }

//   public ViewData(dataMonth) {

//     let find = this.dataComplain.find(x => x.DATA_MONTH == dataMonth)
//     this.selectedName = find
//     this.http.get('System', 'GetDealerPerformance_CusComplain', dataMonth, this.OUTLET_ID)
//       .subscribe(res => {
//         this.dataComplainSSI = res.Table;
//         this.dataComplainCSI = res.Table1;
//         this.dataBelowSSI = res.Table2;
//         this.dataBelowCSI = res.Table3;
//         this.dataComplainSSI.DATA_MONTHNAME = find.DATA_MONTHNAME;
//       })

//   }

//   public highlightRow(data) {
//     return JSON.stringify(this.selectedName) === JSON.stringify(data);
//   }


// }

