import { Component, OnInit } from "@angular/core";
import { HttpService } from 'src/app/core/http.service';


@Component({
  selector: 'ssi-csi',
  templateUrl: './SSI-CSI-Nationwide.component.html',
  styleUrls: ['./SSI-CSI-Nationwide.component.css']
})


export class SsiCsiNationwideComponent implements OnInit {
  constructor(
   private http : HttpService
  ) { }
  private data: any;
  private FY: string;
  public config: any;
  private dataChange: boolean = false

  ngOnInit(): void {

    this.config = {
      minDate: undefined,
      maxDate: undefined,
      ShowTwoPicker: false
    }
    this.FY = '19'
    this.getdata(false)

  }

  getdata(flag: boolean) {
    this.http.get("System", "GetSSI_CSI_Nationwide", this.FY)
      .subscribe(result => {
        this.data = result;
        this.dataChange = flag
      })
  }

  DateChange(even) {
    this.FY = even
    this.getdata(true);
    console.log(even)
  }
}
